<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFile Method (IEdmBatchListing)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing Interface : AddFile Method (IEdmBatchListing)

Visual Basic
C#
C++/CLI

oIdOrPath
  ID or path of the file to add

oFileDate
  Local file date

lParam
  Caller-defined argument

lEdmListFileFlags
  Reserved; must be 0

Adds a file to the batch of files for which to create a listing.

# Syntax

Visual Basic |
--- | ---

    Sub AddFile( _
       ByVal oIdOrPath As System.Object, _
       ByVal oFileDate As System.Date, _
       ByVal lParam As System.Integer, _
       Optional ByVal lEdmListFileFlags As System.Integer _
    )

C# |
--- | ---

    void AddFile(
       System.object oIdOrPath,
       System.DateTime oFileDate,
       System.int lParam,
       System.int lEdmListFileFlags
    )

C++/CLI |
--- | ---

    void AddFile(
    &   System.Object^ oIdOrPath,
    &   System.DateTime oFileDate,
    &   System.int lParam,
    &   System.int lEdmListFileFlags
    )

#### Parameters

oIdOrPath
  ID or path of the file to add
oFileDate
  Local file date
lParam
  Caller-defined argument
lEdmListFileFlags
  Reserved; must be 0

# Remarks

After calling this method for each file whose properties you want to list, call IEdmBatchListing::CreateList to create a listing for all the files.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing Interface
IEdmBatchListing Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional